#ifndef BSPLINE_SURFACE
#define BSPLINE_SURFACE

#include <GL/gl.h>
#include "myMath.h"

typedef struct SsurfaceBspline *SurfaceBspline;

/* vecteur nodal uniforme : type = 0, vecteur nodal ouvert uniforme : type = 1 */
SurfaceBspline creerSurfaceBsplineUniforme (GLfloat *ptsControle, int nbPtsControleU, int nbPtsControleV, int k, int type);

void evalSurfaceBspline (SurfaceBspline s, float u, float v, Point p);

void calculMaillageSurfaceBspline (SurfaceBspline s, int nbPtsU, int nbPtsV);

void affichePolyControleSurfaceBspline (SurfaceBspline s);

void afficheSurfaceBspline (SurfaceBspline s);

#endif